# take

## Syntax:
`take {value} from {variable}`  
`take {value} from {value} giving {variable}`

## Example:
`take 1 from N`  
`take N from Count giving Total`

## Description:
Subtracts a numeric value from a numeric variable or subtracts one value from another and puts the result into a variable. See elsewhere in this documentation for an explanation of what is meant by a value. If you subtract from a variable it must already hold a numeric value, and if you assign a variable to hold the result of an subtraction it will lose whatever value it previously held. 

Next: [toggle](toggle.md)  
Prev: [system](system.md)

[Back](../../README.md)
